/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2007 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 *
 * $Rev: 2480 $
 * Last modified by $Author: kobit $
 * $Date: 2011-01-16 05:39:07 +0100 (Sun, 16 Jan 2011) $
 */

package tigase.io;

//~--- non-JDK imports --------------------------------------------------------

import tigase.stats.StatisticsList;

//~--- JDK imports ------------------------------------------------------------

import java.io.IOException;

import java.nio.ByteBuffer;
import java.nio.channels.SocketChannel;

//~--- interfaces -------------------------------------------------------------

/**
 * Describe interface IOInterface here.
 *
 *
 * Created: Sat May 14 08:07:38 2005
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 2480 $
 */
public interface IOInterface {
	int bytesRead();

	boolean checkCapabilities(String caps);

	//~--- get methods ----------------------------------------------------------

	int getInputPacketSize() throws IOException;

	SocketChannel getSocketChannel();

	void getStatistics(StatisticsList list, boolean reset);

	boolean isConnected();

	boolean isRemoteAddress(String addr);

	//~--- methods --------------------------------------------------------------

	ByteBuffer read(final ByteBuffer buff) throws IOException;

	void stop() throws IOException;

	boolean waitingToSend();

	int waitingToSendSize();

	int write(final ByteBuffer buff) throws IOException;
}    // IOInterface


//~ Formatted in Sun Code Convention


//~ Formatted by Jindent --- http://www.jindent.com
