/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2008 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 * 
 * $Rev: 1567 $
 * Last modified by $Author: kobit $
 * $Date: 2009-04-21 19:27:48 +0200 (Tue, 21 Apr 2009) $
 */

package tigase.util;

/**
 * Created: Dec 11, 2008 10:26:00 AM
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 1567 $
 */
public class OSUtils {

	public enum OS {
		windows, linux, sunos, solaris, mac, unix, other;
	}

	public static OS getOSType() {
		String osName = System.getProperty("os.name").toLowerCase();
		for (OS os : OS.values()) {
			if (osName.contains(os.toString())) {
				return os;
			}
		}
		return OS.other;
	}

}
